Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.converter
Class WordToHtmlUtils

    java.lang.Object
      org.apache.poi.hwpf.converter.AbstractWordUtils
          org.apache.poi.hwpf.converter.WordToHtmlUtils

    public class WordToHtmlUtils

extends AbstractWordUtils

Field Summary

Fields inherited from class org.apache.poi.hwpf.converter.AbstractWordUtils
`TWIPS_PER_INCH, TWIPS_PER_PT`

Constructor Summary
`WordToHtmlUtils()`

Method Summary
`static void` | `addBold(boolean bold, java.lang.StringBuffer style)`
`static void` | `addBorder(BorderCode borderCode, java.lang.String where, java.lang.StringBuffer style)`
`static void` | `addCharactersProperties(CharacterRun characterRun, java.lang.StringBuffer style)`
`static void` | `addFontFamily(java.lang.String fontFamily, java.lang.StringBuffer style)`
`static void` | `addFontSize(int fontSize, java.lang.StringBuffer style)`
`static void` | `addIndent(Paragraph paragraph, java.lang.StringBuffer style)`
`static void` | `addJustification(Paragraph paragraph, java.lang.StringBuffer style)`
`static void` | `addParagraphProperties(Paragraph paragraph, java.lang.StringBuffer style)`
`static void` | `addTableCellProperties(TableRow tableRow, TableCell tableCell, boolean toppest, boolean bottomest, boolean leftest, boolean rightest, java.lang.StringBuffer style)`
`static void` | `addTableRowProperties(TableRow tableRow, java.lang.StringBuffer style)`

Methods inherited from class org.apache.poi.hwpf.converter.AbstractWordUtils
`getBorderType, getBorderWidth, getBulletText, getColor, getColor24, getJustification, getLanguage, getListItemNumberLabel, getOpacity, loadDoc, loadDoc, loadDoc, loadDoc`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WordToHtmlUtils

    public WordToHtmlUtils()

Method Detail

### addBold

    public static void addBold(boolean bold,
                               java.lang.StringBuffer style)

### addBorder

    public static void addBorder(BorderCode borderCode,
                                 java.lang.String where,
                                 java.lang.StringBuffer style)

### addCharactersProperties

    public static void addCharactersProperties(CharacterRun characterRun,
                                               java.lang.StringBuffer style)

### addFontFamily

    public static void addFontFamily(java.lang.String fontFamily,
                                     java.lang.StringBuffer style)

### addFontSize

    public static void addFontSize(int fontSize,
                                   java.lang.StringBuffer style)

### addIndent

    public static void addIndent(Paragraph paragraph,
                                 java.lang.StringBuffer style)

### addJustification

    public static void addJustification(Paragraph paragraph,
                                        java.lang.StringBuffer style)

### addParagraphProperties

    public static void addParagraphProperties(Paragraph paragraph,
                                              java.lang.StringBuffer style)

### addTableCellProperties

    public static void addTableCellProperties(TableRow tableRow,
                                              TableCell tableCell,
                                              boolean toppest,
                                              boolean bottomest,
                                              boolean leftest,
                                              boolean rightest,
                                              java.lang.StringBuffer style)

### addTableRowProperties

    public static void addTableRowProperties(TableRow tableRow,
                                             java.lang.StringBuffer style)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD